@font-face {
    font-family: 'Courgette';
    font-style: normal;
    font-weight: 400;
    src: url('./Courgette-Regular.woff') format('woff');
}

* {
    box-sizing: border-box;
}

img {
    max-width: 100%;
}

html {
    height: 100%;
}

body {
    height: 100%;
    margin: 0;
    background-color: #ffb51e;
    background-image: url('./background.jpg');
    background-size: 300px 300px;

    font-family: 'Courgette', cursive, sans-serif;
    font-size: 24px;
}

[hidden] {
    display: none !important;
}

.container {
    max-width: 400px;
    margin: 0 auto;
    padding: 0 20px;
}

/* Univers */

.univers {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: block;
    width: 100%;
    height: 100%;
    background: black;

    opacity: 0;
    overflow: hidden;
    pointer-events: none;

    color: white;
}

.univers--current {
     opacity: 1;
    pointer-events: auto;
}

.univers--leaving {
     transition: 0s pointer-events 1s, 0s opacity 1s;
}

.univers--entering {
    transition: 0s pointer-events 1s, 0s opacity 0s;
}

.step--current {
    opacity: 1;
    pointer-events: auto;
}

/* Univers */

.univers--black {
    background: black;
    color: white;
}

.univers--yellow {
    background: transparent;
    color: black;
}

/* Step */

.step {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: block;
    width: 100%;
    height: 100%;

    opacity: 0;
    overflow: auto;
    pointer-events: none;
}

/* Step animation */

.step--leaving {
    transition: 0s pointer-events 0.5s, 0s opacity 0.5s;
}

.step--entering {
    transition: 0s pointer-events 0.5s, 0s opacity 0s;
}

.univers--current .step--current {
    opacity: 1;
    pointer-events: auto;
}

/* Step Styles */

.step--font-xl {
    font-size: 32px;
}

/* Step Content */

.step__overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border: 0;
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
}

button.step__overlay {
    background: none;
    padding: 0;
    font: inherit;
    color: inherit;

    cursor: pointer;
}

.step__content {
    display: block;
    max-width: 100%;
    max-height: 100%;
    padding: 20px;

    text-align: center;

    opacity: 0;
}

.step--current .step__content {
    opacity: 1;
}

.step--leaving .step__content {
    transition: 0.3s opacity;
}

.step--entering .step__content {
    transition: 0.3s opacity 0.2s;
}

.step__footer {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 20px;

    font-size: 16px;
    line-height: 1.2;
    text-align: center;
    font-family: "Inter var",ui-sans-serif,system-ui,-apple-system,system-ui,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";

    opacity: 0;
}

.step--current .step__footer {
    opacity: 1;
}

.step--leaving .step__footer {
    opacity: 0;
}

.step--entering .step__footer {
    opacity: 0;
}

/* Masque */

.masque {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    max-width: 100%;
    max-height: 100%;
    padding: 20px;

    transition: 3s transform, 1s background 2s, 2s filter;
    pointer-events: none;
}
.step--current[data-step="2"] ~ .masque {
    transform: scale(3, 3);
    filter: contrast(0%) brightness(0%);
    background: black;
}

/* Form */

.form {
    padding: 40px 20px;
    display: flex;
    flex-direction: column;
    color: black;
}

.form-main {
    position: relative;
    margin: auto 0;
    text-align: center;
}

.form-main-over {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: 0 auto;
}

.form-clue {
    margin: auto 0;
    font-family: "Inter var",ui-sans-serif,system-ui,-apple-system,system-ui,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
}

.form-control {
    margin-top: auto;
    display: block;
    width: 100%;
}

.form-label {
    display: block;
    width: 100%;
    padding-bottom: 8px;

    font-size: 16px;
    font-family: "Inter var",ui-sans-serif,system-ui,-apple-system,system-ui,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
}

.form-input {
    display: block;
    width: 100%;
    padding: 4px 12px;

    font: inherit;
    font-family: "Inter var",ui-sans-serif,system-ui,-apple-system,system-ui,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    text-transform: uppercase;
    line-height: 1;
}

.form-error {
    display: block;
    height: 24px;
    padding-top: 8px;

    color: red;
    font-size: 16px;
    font-family: "Inter var",ui-sans-serif,system-ui,-apple-system,system-ui,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    line-height: 1;
}

.form-action {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.form-button {
    background-color: #111827;
    border: 1px solid transparent;
    border-radius: 6px;
    box-sizing: border-box;
    color: #FFFFFF;
    cursor: pointer;
    flex: 0 0 auto;
    font-family: "Inter var",ui-sans-serif,system-ui,-apple-system,system-ui,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    font-size: 16px;
    font-weight: 600;
    line-height: 1.5;
    padding: 4px 12px;
    text-align: center;
    text-decoration: none #6B7280 solid;
    text-decoration-thickness: auto;
    transition-duration: .2s;
    transition-property: background-color,border-color,color,fill,stroke;
    transition-timing-function: cubic-bezier(.4, 0, 0.2, 1);
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    width: auto;
}

.form-button--secondary {
    background: transparent;
    border-color: #111827;
    color: #111827;
}